/*
 Navicat Premium Dump SQL

 Source Server         : fhxy-192.168.1.61-polardbx
 Source Server Type    : MySQL
 Source Server Version : 80032 (8.0.32-X-Cluster-8.4.19-20241112)
 Source Host           : 192.168.1.61:4886
 Source Schema         : pla-chem-sim-dev-1

 Target Server Type    : MySQL
 Target Server Version : 80032 (8.0.32-X-Cluster-8.4.19-20241112)
 File Encoding         : 65001

 Date: 16/02/2025 21:01:28
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for mx_debug_fault
-- ----------------------------
DROP TABLE IF EXISTS `mx_debug_fault`;
CREATE TABLE `mx_debug_fault`  (
  `ref_id` bigint NOT NULL AUTO_INCREMENT COMMENT '关联ID',
  `sim_id` bigint NOT NULL COMMENT '模拟器ID',
  `fault_id` char(12) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '故障ID',
  `flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '7' COMMENT '选择状态:[7]-未知,[1]-选中,[0]-没有选中',
  `ref_state` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '故障ID关联状态:[0]-初始化,[1]-已经清除故障,[2]故障已经下发,[3]-轮询读取刷新电阻代表值,[4]-考试结束',
  `answer_right` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '答题正确:[0]-初始化,[1]-正确,[2]-错误',
  `sim_fault_question_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器出题值/电阻代表值',
  `sim_fault_answer_value` char(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模拟器答题值/电阻代表值',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`ref_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 433 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'sim-调试故障表' ROW_FORMAT = DYNAMIC;

-- ----------------------------
-- Records of mx_debug_fault
-- ----------------------------
INSERT INTO `mx_debug_fault` VALUES (401, 8, '0001GZBW0001', '1', '', '2', '0000000E', '0000000E', NULL, '2025-02-16 20:15:05', NULL, '2025-02-16 20:30:11');
INSERT INTO `mx_debug_fault` VALUES (402, 8, '0001GZBW0002', '0', '', '0', '00000013', '00000013', NULL, '2025-02-16 20:15:05', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (403, 8, '0001GZBW0003', '1', '', '2', '01000000', '01000000', NULL, '2025-02-16 20:15:06', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (404, 8, '0001GZBW0004', '0', '', '0', '0000000F', '0000000F', NULL, '2025-02-16 20:15:06', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (405, 8, '0001GZBW0005', '1', '', '2', '00000000', '00000000', NULL, '2025-02-16 20:15:06', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (406, 8, '0001GZBW0006', '0', '', '0', '00000006', '00000006', NULL, '2025-02-16 20:15:06', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (407, 8, '0001GZBW0007', '0', '', '0', '00000001', '00000001', NULL, '2025-02-16 20:15:07', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (408, 8, '0001GZBW0008', '0', '', '0', '00000002', '00000002', NULL, '2025-02-16 20:15:07', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (409, 8, '0001GZBW0009', '0', '', '0', '00000002', '00000002', NULL, '2025-02-16 20:15:07', NULL, '2025-02-16 20:30:12');
INSERT INTO `mx_debug_fault` VALUES (410, 8, '0001GZBW0010', '0', '', '0', '00000004', '00000004', NULL, '2025-02-16 20:15:07', NULL, '2025-02-16 20:30:13');
INSERT INTO `mx_debug_fault` VALUES (411, 9, '0001GZBW0001', '1', '', '2', '0000000E', '0000000E', NULL, '2025-02-16 20:41:24', NULL, '2025-02-16 20:41:29');
INSERT INTO `mx_debug_fault` VALUES (412, 9, '0001GZBW0002', '1', '', '2', '00000016', '00000016', NULL, '2025-02-16 20:41:25', NULL, '2025-02-16 20:41:29');
INSERT INTO `mx_debug_fault` VALUES (413, 9, '0001GZBW0003', '1', '', '2', '01000008', '01000008', NULL, '2025-02-16 20:41:25', NULL, '2025-02-16 20:41:29');
INSERT INTO `mx_debug_fault` VALUES (414, 9, '0001GZBW0004', '0', '', '0', '00000019', '00000019', NULL, '2025-02-16 20:41:25', NULL, '2025-02-16 20:41:29');
INSERT INTO `mx_debug_fault` VALUES (415, 9, '0001GZBW0005', '1', '', '2', '00000002', '00000002', NULL, '2025-02-16 20:41:25', NULL, '2025-02-16 20:41:29');
INSERT INTO `mx_debug_fault` VALUES (416, 9, '0001GZBW0006', '0', '', '0', '00000009', '00000009', NULL, '2025-02-16 20:41:26', NULL, '2025-02-16 20:41:30');
INSERT INTO `mx_debug_fault` VALUES (417, 9, '0001GZBW0007', '0', '', '0', '00000001', '00000001', NULL, '2025-02-16 20:41:26', NULL, '2025-02-16 20:41:30');
INSERT INTO `mx_debug_fault` VALUES (418, 9, '0001GZBW0008', '0', '', '0', '00000002', '00000002', NULL, '2025-02-16 20:41:26', NULL, '2025-02-16 20:41:30');
INSERT INTO `mx_debug_fault` VALUES (419, 9, '0001GZBW0009', '0', '', '0', '00000002', '00000002', NULL, '2025-02-16 20:41:26', NULL, '2025-02-16 20:41:30');
INSERT INTO `mx_debug_fault` VALUES (420, 9, '0001GZBW0010', '0', '', '0', '00000001', '00000001', NULL, '2025-02-16 20:41:27', NULL, '2025-02-16 20:41:30');
INSERT INTO `mx_debug_fault` VALUES (421, 87, '0002GZBW0001', '1', '', '0', '00000001', '', NULL, '2025-02-16 20:52:52', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (422, 87, '0002GZBW0002', '1', '', '0', '00000014', '', NULL, '2025-02-16 20:52:52', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (423, 87, '0002GZBW0003', '1', '', '0', '00000000', '', NULL, '2025-02-16 20:52:52', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (424, 87, '0002GZBW0004', '0', '', '0', '00000007', '', NULL, '2025-02-16 20:52:52', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (425, 87, '0002GZBW0005', '0', '', '0', '00000000', '', NULL, '2025-02-16 20:52:53', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (426, 87, '0002GZBW0006', '0', '', '0', '00000013', '', NULL, '2025-02-16 20:52:53', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (427, 87, '0002GZBW0007', '0', '', '0', '00000004', '', NULL, '2025-02-16 20:52:53', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (428, 87, '0002GZBW0008', '0', '', '0', '00000013', '', NULL, '2025-02-16 20:52:53', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (429, 87, '0002GZBW0009', '0', '', '0', '00000001', '', NULL, '2025-02-16 20:52:54', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (430, 87, '0002GZBW0010', '0', '', '0', '00000000', '', NULL, '2025-02-16 20:52:54', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (431, 87, '0002GZBW0011', '0', '', '0', '00000013', '', NULL, '2025-02-16 20:52:54', NULL, NULL);
INSERT INTO `mx_debug_fault` VALUES (432, 87, '0002GZBW0012', '0', '', '0', '0000000E', '', NULL, '2025-02-16 20:52:54', NULL, NULL);

SET FOREIGN_KEY_CHECKS = 1;
