package com.ruoyi.sim.service.impl;


import com.ruoyi.sim.domain.SimMsg;
import org.apache.commons.lang3.StringUtils;

public class CommParseUtils {

    /**
     * AA 08 01 03 06 00 00 00 00 15 02 55
     */

    /**
     * 截取 内容报文。
     *
     * @param
     * @return "01 02 03 04"
     */
    public static String subContentData(SimMsg sm) {
        if (StringUtils.isBlank(sm.getReceiveMsg())) {
            throw new IllegalArgumentException("模拟器回复为空！");
        }
        return StringUtils.substring(sm.getReceiveMsg(), 10, 18);
    }

    public static String subSimNum(String msg) {
        if (StringUtils.isBlank(msg)) {
            throw new IllegalArgumentException("模拟器回复为空！");
        }
        return StringUtils.substring(msg, 2, 4);
    }

    public static String subCmd(String msg) {
        if (StringUtils.isBlank(msg)) {
            throw new IllegalArgumentException("模拟器回复为空！");
        }
        return StringUtils.substring(msg, 6, 8);
    }

    public static String subCmdId(String msg) {
        if (StringUtils.isBlank(msg)) {
            throw new IllegalArgumentException("模拟器回复为空！");
        }
        return StringUtils.substring(msg, 8, 10);
    }
}
